> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/sensors/kpn-conditionsensor-co2-iii.md).

# KPN Conditionsensor CO2 III

![KPN Conditionsensor CO2 III](https://portal.kpnthings.com/assets/images/device-types/kpn-conditionsensor-co2-iii.png)

Also known as Streamline CO2 sensor. A Smart Building Sensor for indoor environment monitoring.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-conditionsensor-co2-iii`
* Device Specification UUID: `7a7c579f-8ce7-4667-bbd6-280902a55948`

| <p>› Decoded payload for </p><p>environment monitoring (v2)</p> | `b7f9d5b8-3d4c-5b07-888f-15f67e972277` | Decoder for Streamline LoRa message type 0xB0 and 0xB1 with CO2 data. |
| --------------------------------------------------------------- | -------------------------------------- | --------------------------------------------------------------------- |

### › Decoded payload for environment monitoring (v2)

Decoder for Streamline LoRa message type 0xB0 and 0xB1 with CO2 data.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                         | type    | unit  | example  | description                                                          |
| ---------------------------- | ------- | ----- | -------- | -------------------------------------------------------------------- |
| batteryVoltage               | number  | V     | `3.46`   | The battery voltage of the device                                    |
| CO2Concentration             | number  | ppm   | `689`    | CO2 Concentration in parts per million                               |
| humidity                     | number  | %RH   | `58.33`  | The humidity percentage                                              |
| motion                       | number  | count | `29`     | Number of times motion has been detected?                            |
| movementDetected             | boolean |       | `true`   | Boolean indicating whether movement was detected or not              |
| movementSensorActiveDuration | number  | s     | `20`     | Number of seconds the movement sensor has been active                |
| pressure                     | number  | Pa    | `101100` | The air pressure in Pascal                                           |
| temperature                  | number  | Cel   | `21.34`  | The measured temperature in Celcius                                  |
| VOC                          | number  | ppm   | `0.065`  | The concentration of Volatile Organic Compounds in parts per million |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

**0xB0 payload**

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "temperature",
        "u": "Cel",
        "v": 25.9
    },
    {
        "n": "humidity",
        "u": "%RH",
        "v": 50
    },
    {
        "n": "CO2Concentration",
        "u": "ppm",
        "v": 504
    },
    {
        "n": "pressure",
        "u": "Pa",
        "v": 101100
    },
    {
        "n": "VOC",
        "u": "ppm",
        "v": 8
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 4.08
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

**0x1B payload**

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "temperature",
        "u": "Cel",
        "v": 27.3
    },
    {
        "n": "humidity",
        "u": "%RH",
        "v": 68
    },
    {
        "n": "CO2Concentration",
        "u": "ppm",
        "v": 563
    },
    {
        "n": "pressure",
        "u": "Pa",
        "v": 101500
    },
    {
        "n": "VOC",
        "u": "ppm",
        "v": 1
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 7.53
    },
    {
        "n": "movementSensorActiveDuration",
        "u": "s",
        "v": 5940
    },
    {
        "n": "motion",
        "u": "count",
        "v": 29
    },
    {
        "n": "movementDetected",
        "t": 0,
        "vb": false
    },
    {
        "n": "movementDetected",
        "t": -60,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -120,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -180,
        "vb": false
    },
    {
        "n": "movementDetected",
        "t": -240,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -300,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -360,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -420,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -480,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -540,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -600,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -660,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -720,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -780,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -840,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -900,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -960,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1020,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1080,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1140,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1200,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1260,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1320,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1380,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1440,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1500,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1560,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1620,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1680,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1740,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1800,
        "vb": true
    },
    {
        "n": "movementDetected",
        "t": -1860,
        "vb": false
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/sensors/kpn-conditionsensor-co2-iii.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
